@use '../../../global/styles-variables' as *;
@use '../../../../../../../libs/shared/styles/src/functions/rem' as *;

.digi-docs-home {
	// background-image: url(/assets/images/blue_bubble.png), url(/assets/images/Muliti_bubble.png);
	// background-repeat: no-repeat;
	// background-size: 30%, 50%;
	// background-position: calc(0% - 50px) calc(50% - 50px), calc(100% - 50px) calc(0% - 50px);

	// @media screen and (max-width: $digi--breakpoint--small) {
	// 	background-size: 40%, 80%;
	// 	background-position: calc(0% - 50px) calc(40% - 50px), calc(100% - 50px) calc(8% - 50px);
	// }
	// @media screen and (max-width: $digi--breakpoint--medium) {
	// 	background-size: 60%, 55%;
	// 	background-position: calc(0% - 50px) calc(50% - 50px), calc(100% - 50px) calc(8% - 50px);
	// }
	// @media screen and (max-width: $digi--breakpoint--large) {
	// 	background-size: 40%, 40%;
	// 	background-position: calc(0% - 50px) calc(50% - 50px), calc(100% - 50px) calc(0% - 50px);
	// }

	.digi-layout-block {
		--digi--layout-block--background--primary: transparent;
	}

	.digi-docs__wrapper {
		background-color: transparent;
	}
	.digi-docs__navigation-wrapper {
		background-color: white;
	}
}

.below-the-fold-container {
	display: flex;
  flex-direction: column;
	align-items: stretch;
	align-items: flex-start;
	margin: 0 auto;
	column-gap: var(--digi--margin--medium);

	@media screen and (min-width: $digi--breakpoint--x-large) {
    flex-direction: row;
    justify-content: space-evenly;
	  padding-bottom: 10rem;
	}

	&__heading {
		font-size: var(--digi--typography--heading-3--font-size--desktop);
		margin-bottom: var(--digi--margin--smaller);

		@media screen and (max-width: $digi--breakpoint--small-below) {
			font-size: var(--digi--typography--heading-3--font-size--mobile);
		}
	}

	&__sub-heading {
		font-size: var(--digi--typography--heading-2--font-size--desktop);
		margin: 0;

		@media screen and (max-width: $digi--breakpoint--small-below) {
			font-size: var(--digi--typography--heading-2--font-size--mobile);
		}

	}

	&__featured-container {
		display: flex;
		flex-direction: column;
    padding-bottom: var(--digi--padding--largest-2);

		&-header-container {
			display: flex;
			flex-direction: row;
			align-items: center;
			justify-content: flex-start;
			gap: var(--digi--margin--medium);

      @media screen and (min-width: $digi--breakpoint--x-large) {
        height: 5rem;
      }
		}

		&-text-wrapper {

      @media screen and (min-width: $digi--breakpoint--x-large) {
        height: #{rem(72)};
        padding-top: var(--digi--padding--small);
      }
		}
	}

  .rek-prediction {
			
    &_heading {
      --FONT-SIZE--HEADING-3: var(--digi--typography--body--font-size--desktop);
    }

    ul {
      list-style-type: none;
      padding: 0;
      display: flex;
      flex-wrap: wrap;
      --digi--paragraph-width--medium: 100%;
      
      li {
        margin-right: var(--digi--margin--smaller);
        
        a {
          border-width: 1px;
          border-style: solid;
          border-color: var(--digi--color--border--secondary);
          border-radius: var(--digi--global--border-radius--largest-2);
          display: inline-block;
          font-size: var(--digi--typography--button--font-size--desktop);
          line-break: strict;
          color: var(--digi--color--text--secondary);
          padding: var(--digi--gutter--medium) var(--digi--gutter--largest-2);
          
          &:hover {
            background-color: var(--digi--color--background--secondary);
            border-color: var(--digi--color--border--informative);
            color: var(--digi--color--text--link);
          }

          text-decoration: none;
          
        }


      }
    }
  }
	
}

